precision mediump float;
varying highp vec2 interp_tc;
uniform sampler2D rgb_tex;
uniform sampler2D ampCurveTexture;
void main()
{
    vec4 textureColor = texture2D(rgb_tex, interp_tc);
    float redCurveValue = texture2D(ampCurveTexture, vec2(textureColor.r, 0.0)).r;
    float greenCurveValue = texture2D(ampCurveTexture, vec2(textureColor.g, 0.0)).g;
    float blueCurveValue = texture2D(ampCurveTexture, vec2(textureColor.b, 0.0)).b;
    gl_FragColor = vec4(redCurveValue, greenCurveValue, blueCurveValue, 1.0);
}