varying highp vec2 interp_tc;
uniform sampler2D rgb_tex;
uniform sampler2D inputImageTextureSrc;
uniform sampler2D ampCurveTexture;
void main()
{
    lowp vec4 textureColor = texture2D(inputImageTextureSrc, interp_tc);
    lowp float t = texture2D(rgb_tex, interp_tc).g;
    lowp float r = texture2D(ampCurveTexture, vec2(textureColor.r, 0.0)).r;
    lowp float g = texture2D(ampCurveTexture, vec2(textureColor.g, 0.0)).g;
    lowp float b = texture2D(ampCurveTexture, vec2(textureColor.b, 0.0)).b;
    lowp vec3 result = mix(vec3(r,g,b), textureColor.rgb, t);
    gl_FragColor = vec4(result,1.0);
}