precision mediump float;
varying vec2 interp_tc;

uniform sampler2D y_tex;
uniform sampler2D u_tex;
uniform sampler2D v_tex;

void main() {
  float y = texture2D(y_tex, interp_tc).r;
  float u = texture2D(u_tex, interp_tc).r - 0.5;
  float v = texture2D(v_tex, interp_tc).r - 0.5;
  gl_FragColor = vec4(y + 1.403 * v,
                      y - 0.344 * u - 0.714 * v,
                      y + 1.77 * u, 1);
}